package com.link.base.aotocolumn.controller;

import com.link.base.aotocolumn.service.AotoColumnService;
import java.util.HashMap;
import java.util.Map;
import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/link/aotoColumn"})
public class AotoColumnController {
   private static final Logger logger = LogManager.getLogger(AotoColumnController.class);
   @Resource
   private AotoColumnService aotoColumnService;

   @RequestMapping(
      value = {"/allFieldsList"},
      method = {RequestMethod.POST}
   )
   @ResponseBody
   public Map<String, Object> check(@RequestParam("classPath") String classPath, HttpSession session, HttpServletRequest request, HttpServletResponse response) {
      Map<String, Object> result = new HashMap();

      try {
         result.put("success", true);
         result.put("rows", this.aotoColumnService.getAllFieldsList(classPath));
      } catch (Exception var7) {
         Exception e = var7;
         logger.error("ListOfValueImpController捕获异常: ", e);
         result.put("success", false);
         result.put("result", e.getMessage());
      }

      return result;
   }
}
